Bug 145826 - [panic] [ath] Unable to configure adhoc mode on ath0/wlan0
Summary: [panic] [ath] Unable to configure adhoc mode on ath0/wlan0
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: wireless (show other bugs)
Version: 8.0-STABLE
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-wireless mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-19 08:40 UTC by laa
Modified: 2018-12-11 03:31 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description laa 2010-04-19 08:40:01 UTC
when I do:
# ifconfig wlan0 create wlandev ath0 wlanmode adhoc

server reboot with kernel panic:

Fatal trap 12: page fault while in kernel mode
cpuid = 1; apic id = 01
fault virtual address   = 0xffff
fault code              = supervisor read, page not present
instruction pointer     = 0x20:0xc0791612
stack pointer           = 0x28:0xd2f42ba4
frame pointer           = 0x28:0xd2f42bac
code segment            = base rx0, limit 0xfffff, type 0x1b
                        = DPL 0, pres 1, def32 1, gran 1
processor eflags        = interrupt enabled, resume, IOPL = 0
current process         = 0 (ath0 taskq)
trap number             = 12
panic: page fault
cpuid = 1
Uptime: 3m35s
Physical memory: 439 MB
Dumping 80 MB: 65 49 33panic: bufwrite: buffer is not busy???
cpuid = 1
 17 1

#0  doadump () at pcpu.h:246
246     pcpu.h: No such file or directory.
        in pcpu.h
(kgdb) #0  doadump () at pcpu.h:246
#1  0xc06b3497 in boot (howto=260) at /usr/src/sys/kern/kern_shutdown.c:416
#2  0xc06b3789 in panic (fmt=Variable "fmt" is not available.
) at /usr/src/sys/kern/kern_shutdown.c:579
#3  0xc08b63bc in trap_fatal (frame=0xd2f42b64, eva=65535)
    at /usr/src/sys/i386/i386/trap.c:938
#4  0xc08b6620 in trap_pfault (frame=0xd2f42b64, usermode=0, eva=65535)
    at /usr/src/sys/i386/i386/trap.c:851
#5  0xc08b6f39 in trap (frame=0xd2f42b64) at /usr/src/sys/i386/i386/trap.c:533
#6  0xc0899b3b in calltrap () at /usr/src/sys/i386/i386/exception.s:165
#7  0xc0791612 in ieee80211_getcapinfo (vap=0xc2d5f000, chan=0xffff)
    at /usr/src/sys/net80211/ieee80211_output.c:1836
#8  0xc0793d17 in ieee80211_beacon_construct (m=0xc2edca00,
    frm=0xc2f0516e "", bo=0xc2d5f884, ni=0xc2ceb000)
    at /usr/src/sys/net80211/ieee80211_output.c:2559
#9  0xc07946db in ieee80211_beacon_alloc (ni=0xc2ceb000, bo=0xc2d5f884)
    at /usr/src/sys/net80211/ieee80211_output.c:2756
#10 0xc050eaea in ath_newstate (vap=0xc2d5f000, nstate=IEEE80211_S_RUN,
    arg=-1) at /usr/src/sys/dev/ath/if_ath.c:2641
#11 0xc0798db1 in ieee80211_newstate_cb (xvap=0xc2d5f000, npending=3)
    at /usr/src/sys/net80211/ieee80211_proto.c:1654
#12 0xc06ebf92 in taskqueue_run (queue=0xc2a84c80)
    at /usr/src/sys/kern/subr_taskqueue.c:239
#13 0xc06ec19d in taskqueue_thread_loop (arg=0xc2ada074)
    at /usr/src/sys/kern/subr_taskqueue.c:360
#14 0xc068a331 in fork_exit (callout=0xc06ec0e0 <taskqueue_thread_loop>,
    arg=0xc2ada074, frame=0xd2f42d38) at /usr/src/sys/kern/kern_fork.c:843
#15 0xc0899bb0 in fork_trampoline () at /usr/src/sys/i386/i386/exception.s:270
(kgdb)

Fix: 

Don't know.
How-To-Repeat: 
	ifconfig wlan0 create wlandev ath0 wlanmode adhoc
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2010-04-19 15:36:30 UTC
Responsible Changed
From-To: freebsd-bugs->freebsd-net

Over to maintainer(s).
Comment 2 Eitan Adler freebsd_committer freebsd_triage 2011-05-01 20:53:47 UTC
Responsible Changed
From-To: freebsd-net->freebsd-wireless

add panic tag & move to new mailing list
Comment 3 Eitan Adler freebsd_committer freebsd_triage 2018-05-28 19:44:30 UTC
batch change:

For bugs that match the following
-  Status Is In progress 
AND
- Untouched since 2018-01-01.
AND
- Affects Base System OR Documentation

DO:

Reset to open status.


Note:
I did a quick pass but if you are getting this email it might be worthwhile to double check to see if this bug ought to be closed.
Comment 4 Andriy Voskoboinyk freebsd_committer 2018-12-11 03:31:05 UTC
Looks similar to bug #208636 / bug #197498; anyway, adhoc vap creation should not cause any problems now.